> ## Documentation Index
> Fetch the complete documentation index at: https://doc.allcomtelecom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lista dispositivos do satelital

> Faz a listagem de dispositivos do tipo satelital



## OpenAPI

````yaml GET /satellite/devices
openapi: 3.0.1
info:
  title: OpenAPI Auth Store
  description: API de exemplo para demonstração de autenticação e obtenção de tokens.
  license:
    name: Allcom Telecom
  version: 1.0.0
servers:
  - url: >-
      https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1
security: []
paths:
  /satellite/devices:
    servers:
      - url: >-
          https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1
        description: Faz a listagem de dispositivos do tipo satelital
    get:
      description: Faz a listagem de dispositivos do tipo satelital
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: |-
            Define o formato da requisição.

            🔹 **Valor padrão:**
            ```
            application/json
            ```
            📌 **Dica:** Copie e cole esse valor no campo Content-Type.
          schema:
            type: string
            example: application/json
            default: application/json
        - name: client_id
          in: header
          required: true
          schema:
            type: string
            description: Identificador do client id do sensedia
            example: '123'
        - name: access_token
          in: header
          required: true
          schema:
            type: string
            description: Token gerado
            example: Basic MzQ4OSozNDMyLTMOMzItMTIz
        - name: Content-Type
          in: header
          required: true
          description: Tipo do conteúdo
          schema:
            type: string
            example: algar-telecom
            default: application/json
        - name: id
          in: query
          required: false
          schema:
            type: integer
            example: '123'
        - name: customerId
          in: query
          required: false
          schema:
            type: integer
            example: customerId
        - name: deviceId
          in: query
          required: false
          schema:
            type: string
            example: deviceId
        - name: activationDate
          in: query
          required: false
          schema:
            type: string
            example: activationDate
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - ACTIVE
              - CANCELED
              - SUSPENDED
              - PRE_ACTIVE
        - name: serialNumber
          in: query
          required: false
          schema:
            type: string
            example: serialNumber
        - name: showContracted
          in: query
          required: false
          schema:
            type: boolean
            example: 'true'
            default: 'false'
        - name: stock
          in: query
          required: false
          schema:
            type: boolean
            example: stock
        - name: consumptionGte
          in: query
          required: false
          schema:
            type: integer
            example: consumptionGte
        - name: consumptionLte
          in: query
          required: false
          schema:
            type: integer
            example: consumptionLte
        - name: page
          in: query
          required: false
          schema:
            type: integer
            example: '0'
            default: '0'
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            example: '20'
            default: '20'
      responses:
        '200':
          description: Listagem de dispositivos retornada com sucesso.
          content:
            application/json:
              schema:
                type: object
                properties:
                  Sucesso:
                    type: string
                    example:
                      id: 0
                      customer:
                        id: 0
                        name: string
                      virtualAccount:
                        id: 0
                        name: string
                        virtualPlan:
                          id: 0
                          description: string
                          sharingType: 0
                        value: string
                        activationPrice: string
                        kilobyteExcPrice: string
                        loyaltyType: 0
                        loyaltyTime: 0
                        nbPreActivationDays: 0
                        franchise: 0
                      deviceId: string
                      status: ACTIVE
                      enabled: true
                      activationDate: '2025-08-06T17:25:50.248Z'
                      statusCode: 0
                      statusMessage: string
                      serialNumber: string
                      autoActivation: true
                      actualOwnerId: 0
                      consumptionPercent: 0
                      productFamily: string
                      partNumber: string
                      hardwareVersion: string
                      firmwarePackageVersion: string
                      modemSoftwareVersion: string
              example:
                id: 0
                customer:
                  id: 0
                  name: string
                virtualAccount:
                  id: 0
                  name: string
                  virtualPlan:
                    id: 0
                    description: string
                    sharingType: 0
                  value: string
                  activationPrice: string
                  kilobyteExcPrice: string
                  loyaltyType: 0
                  loyaltyTime: 0
                  nbPreActivationDays: 0
                  franchise: 0
                deviceId: string
                status: ACTIVE
                enabled: true
                activationDate: '2025-08-06T17:25:50.248Z'
                statusCode: 0
                statusMessage: string
                serialNumber: string
                autoActivation: true
                actualOwnerId: 0
                consumptionPercent: 0
                productFamily: string
                partNumber: string
                hardwareVersion: string
                firmwarePackageVersion: string
                modemSoftwareVersion: string
        '400':
          description: Requisição mal formada.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Parameter not found
              example:
                error: Requisição mal formada.
        '401':
          description: Requisição requer autenticação.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Requisição requer autenticação.
        '403':
          description: O acesso ao recurso foi negado.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: O acesso ao recurso foi negado.
        '404':
          description: URI de API/Recurso inexiste para processamento.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: URI de API/Recurso inexiste para processamento.
        '500':
          description: Erro Interno do servidor.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Parameter not found
              example:
                error: Erro Interno do servidor.

````